> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# データセットへの JSONL アップロードを開始する

> 最大 1 GiB、100,000 行の JSONL ファイル 1 つを、既存の Postgres プレーンのデータセットにアップロードするためのセッションを開始します。各行は `POST .../entries` の行形式に従います。宣言したサイズと完全に一致するファイル全体を `upload.url` に PUT で送信し（例：`curl -T rows.jsonl "$url"`）、その後 complete を呼び出します。URL は 15 分以内に使用する必要があります。新しい URL を取得するには、アップロードを GET で取得します。同じ idempotency_key でリクエストを繰り返すと、同じアップロードが返されます。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml POST /projects/{alias}/datasets/{datasetId}/uploads
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project、ルーティングバージョン、データセット、再ラベル付け、
    ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://forge.coreweave.com/api/distillation/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Projects
    description: 安定したprojectアイデンティティとprojectレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: project トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるprojectごとの表示設定。
paths:
  /projects/{alias}/datasets/{datasetId}/uploads:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/ProjectAlias'
      - $ref: '#/components/parameters/DatasetId'
    post:
      tags:
        - Datasets
      summary: データセットへの JSONL アップロードを開始
      description: >-
        最大 1 GiB、100,000 行の JSONL ファイル 1 つを、既存の Postgres
        プレーンのデータセットにアップロードするためのセッションを開始します。各行は `POST .../entries`
        の行形式に従います。宣言したサイズと完全に一致するファイル全体を `upload.url` に PUT で送信し（例：`curl -T
        rows.jsonl "$url"`）、その後 complete を呼び出します。URL は 15 分以内に使用する必要があります。新しい
        URL を取得するには、アップロードを GET で取得します。同じ idempotency_key
        でリクエストを繰り返すと、同じアップロードが返されます。
      operationId: createDatasetUpload
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                idempotency_key:
                  type: string
                  minLength: 1
                  maxLength: 128
                  description: 同じキーでリクエストを繰り返すと、同じアップロードが返されます。
                file:
                  type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 512
                    size_bytes:
                      type: integer
                      exclusiveMinimum: 0
                      maximum: 1073741824
                  required:
                    - name
                    - size_bytes
                  additionalProperties: false
                mode:
                  default: append
                  description: append は row_id がすでに存在する行を拒否し、upsert はその行を置き換えます。
                  type: string
                  enum:
                    - append
                    - upsert
              required:
                - idempotency_key
                - file
              additionalProperties: false
      responses:
        '201':
          description: アップロードセッションです。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetUpload'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    ProjectAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatasetUpload:
      type: object
      required:
        - id
        - dataset_id
        - mode
        - state
        - file
        - upload
        - validation
        - counters
        - error
        - expires_at
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        mode:
          type: string
          enum:
            - append
            - upsert
        state:
          type: string
          enum:
            - uploading
            - queued
            - validating
            - committed
            - failed
            - cancelled
            - expired
          description: >-
            complete が呼び出されるまでは uploading、ワーカーが各行をチェックしている間は queued および
            validating、行がデータセットに格納されると committed になります。
        error:
          type:
            - string
            - 'null'
        counters:
          oneOf:
            - $ref: '#/components/schemas/JsonObject'
            - type: 'null'
          description: コミット後：rows、created、updated、revision、entry_counts。
        expires_at:
          type: string
          format: date-time
        file:
          type: object
          required:
            - name
            - size_bytes
          properties:
            name:
              type: string
            size_bytes:
              type: integer
        upload:
          oneOf:
            - type: object
              required:
                - method
                - url
                - expires_at
              properties:
                method:
                  type: string
                  const: PUT
                url:
                  type: string
                  format: uri
                  description: 指定されたファイルサイズに紐づく事前署名付き URL。
                expires_at:
                  type: string
                  format: date-time
                  description: PUT はこの時刻より前に開始する必要があります。
            - type: 'null'
          description: アップロードを受け付けている間のファイルの送信先です。complete が呼び出されると null になります。
        validation:
          type: object
          required:
            - validated_bytes
            - validated_lines
            - error_count
            - errors_truncated
            - errors
          properties:
            validated_bytes:
              type: integer
            validated_lines:
              type: integer
            error_count:
              type: integer
            errors_truncated:
              type: boolean
            errors:
              type: array
              items:
                type: object
                required:
                  - line
                  - code
                  - message
                properties:
                  line:
                    type:
                      - integer
                      - 'null'
                    description: アップロード全体に関するエラーの場合は Null です。
                  code:
                    type: string
                  message:
                    type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    JsonObject:
      type: object
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Project 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: wandb API key or JWT
      description: >-
        wandb APIキーまたは wandb JWT。ブラウザーセッションの交換は、Model Distillation
        ウェブアプリのバックエンドで行われます。ジョブのケイパビリティは内部専用です。

````